| vrnaalifold

## Function

RNA alignment folding

## Description

This is a port of the Vienna RNA package program RNAalifold.

The original program produces different outputs, depending on the options selected. In the EMBASSY implementation it is split into vrnaalifold and vrnaalifoldpf

## Algorithm

See the original documentation for the Vienna RNA package http://www.tbi.univie.ac.at/~ivo/RNA/

## Usage

Here is a sample session with vrnaalifold

    % vrnaalifold
    RNA alignment folding
    Input (aligned) nucleotide sequence set: ecoli6s.fasta
    Vienna RNAfold output file [ecoli6s.vrnaalifold]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequence]          seqset     (Aligned) nucleotide sequence set filename
                                      and optional format, or reference (input
                                      USA)
      [-outfile]           outfile    [*.vrnaalifold] Vienna RNAfold output file

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -constraintfile     infile     Vienna RNA structure constraints file
                                      (optional)
       -paramfile          infile     Vienna RNA parameters file (optional)
       -temperature        float      [37.0] Temperature (Any numeric value)
       -[no]gu             boolean    [Y] Allow GU pairs
       -[no]closegu        boolean    [Y] Allow GU pairs at end of helices
       -[no]lp             boolean    [Y] Allow lonely pairs
       -[no]convert        boolean    [Y] Convert T to U
       -nsbases            string     Non-standard bases (Any string is accepted)
       -[no]tetraloop      boolean    [Y] Stabilizing energies for tetra-loops
       -energy             menu       [0] Rarely used option to fold sequences
                                      from the ABCD... alphabet (Values: 0 (BP); 1
                                      (Any with GC); 2 (Any with AU parameters))
       -scale              float      [1.07] Estimate of ensemble free energy (Any
                                      numeric value)
       -dangles            menu       [2] Method (Values: 0 (Ignore); 1 (Only
                                      unpaired bases for just one dangling end); 2
                                      (Always use dangling energies); 3 (Allow
                                      coaxial stacking of adjacent helices))
       -covariance         float      [1.0] Weight for covariance (Any numeric
                                      value)
       -nspenalty          float      [1.0] Non-compatible sequence penalty (Any
                                      numeric value)
       -endgaps            boolean    [N] Mark end gaps
       -most               boolean    [N] Use most informative sequence algorithm
       -ssoutfile          outfile    [*.vrnaalifold] Vienna structure postscript
                                      output file

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       "-ssoutfile" associated qualifiers
       -odirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | (Aligned) nucleotide sequence set filename and optional format, or reference (input USA) | Readable set of sequences | Required
[-outfile] (Parameter 2) | Vienna RNAfold output file | Output file | <*>.vrnaalifold
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
-constraintfile | Vienna RNA structure constraints file (optional) | Input file | Required
-paramfile | Vienna RNA parameters file (optional) | Input file | Required
-temperature | Temperature | Any numeric value | 37.0
-[no]gu | Allow GU pairs | Boolean value Yes/No | Yes
-[no]closegu | Allow GU pairs at end of helices | Boolean value Yes/No | Yes
-[no]lp | Allow lonely pairs | Boolean value Yes/No | Yes
-[no]convert | Convert T to U | Boolean value Yes/No | Yes
-nsbases | Non-standard bases | Any string is accepted | An empty string is accepted
-[no]tetraloop | Stabilizing energies for tetra-loops | Boolean value Yes/No | Yes

-energy

Rarely used option to fold sequences from the ABCD... alphabet

0 | (BP)
1 | (Any with GC)
2 | (Any with AU parameters)

0

-scale | Estimate of ensemble free energy | Any numeric value | 1.07

-dangles

Method

0 | (Ignore)
1 | (Only unpaired bases for just one dangling end)
2 | (Always use dangling energies)
3 | (Allow coaxial stacking of adjacent helices)

2

-covariance | Weight for covariance | Any numeric value | 1.0
-nspenalty | Non-compatible sequence penalty | Any numeric value | 1.0
-endgaps | Mark end gaps | Boolean value Yes/No | No
-most | Use most informative sequence algorithm | Boolean value Yes/No | No
-ssoutfile | Vienna structure postscript output file | Output file | <*>.vrnaalifold

## Input file format

vrnaalifold reads any normal sequence USAs.

### Input files for usage example

### File: ecoli6s.fasta

    >X01238.1/1-183
    AUUUCUCUGAGAUGUUCGCAAGCGGGC.CAGUCCCCUGAGCCGAUAUUUCAUACCACAAG
    AAUGUGGCGCUCCGCGGUUGGUGAGCAUGCUCGGUCCGU...............CCGAGA
    AGCCUUAAAACUGCGACGACACAUUCACCUUGAACCAA.GGGUUCAAGGGUUACAGCCUG
    CGGCGGCA.UC.UCGGAG.AUUC
    >AL627277.1/108623-108805
    AUUUCUCUGAGAUGUUUGCAAGCGGGC.CAGUCCCCUGAGCCGAUAUUUCAUACCACAAG
    AAUGUGGCGCUCCGCGGUUGGUGAGCAUGCUCGGUUCGU...............CCGAGA
    AGCCUUAAAACUGUGACGACACAUUCACCUUGAACCAA.GGGUUCAAGGGUUACAGCCUG
    CGGCGGCA.UC.UCGGAG.AUUC
    >AJ414145.1/90993-91174
    AUUUCUCUGAGGUGUUUGCCAGCGGGC.CAGUCCCCUGAGCCGAUAUUUAAUACCAACAG
    AAUGUAGUGCUCCGUAACCGGUGAGCAUGCUCGGUCCG................CCGAGA
    AGCCUUAAGGUUGCGACGCUGCGUUCACCUUGAACCAA.GGGUUCAAGGGUUACAGCCUG
    CGACGGCA.CC.UCGGAG.AUCC
    >U32767.1/6538-6734
    .AUUACCUGGAGUGUUCGUCAGUAGGC.UAUGUCCCUGAGCCGAUACUUUAAAUCUUAUA
    AAUU.GGUUUCCUAUCGUUGGUGUGUAGGCUUAACCUUUGACUCGUUCAUUGGGCUAAGA
    AACCUGAAAACGGUAUCAACUGAUUU.CCUUGAACCGUCGGGUUCAAGGACUACUGCCCG
    CAGCGGCACUC.UGGGGU.CUUC
    >AE006208.1/8365-8185
    .AUUACCUGAGGUGUUUGCCAGUGGGU.UAUGUCCCUGAGCCGAUACUUU.UAUUUUAUG
    AAUC.GGUUUCUAAUUGUUGGUGUGCAUGCUUAGCUUGA...............CUAAGA
    AGCCUAAAAAUAGUUAUAACUGAUUC.CCUUGAACCGUUGGGUUCAAGGACUGAGACUUG
    CAGCGGCA.UC.UCGGGUUCUUC
    >Y00334.1/77-254
    CGCUCCCUGGUGUGUUGGCCAGUCGGU.GAUGUCCCUGAGCCGAUAACUGCAACAAC..G
    GAGGUUGC.CAGUUGGACCGGUGUGCAUGUCCGCACG.................ACGGAA
    AGCCUUAAGGUCUAC.UGCAACCGCCACCUUGAACUUUCGGGUUCAAGGGCUA.ACCCGA
    CAGCGGCA.CGACCGGGG.AGCU
    >AE004317.1/5626-5807
    UUUACCCUGGGGUGUUCGUCAGCGGAUUUAUGUCCCUGAGCCGAUAAGCAACAUAAC..A
    GGGUUGGUAUUGGGUAGCUAUUGAGCAAGCUCGGCUUGUA..............CCGAGA
    AGCCUGCGGUUACCAUUACUGAUCCG.CCUUGAACCUGAUGGUUCAAGGGCUACGAUCCU
    CAACGGCA.UC.CCGGGG.UUC.

## Output file format

vrnaalifold outputs a graph to the specified graphics device. outputs a report format file. The default format is ...

### Output files for usage example

### File: ecoli6s.vrnaalifold

    AUUUCCCUGAGGUGUUCGCCAGCGGGC_CAUGUCCCUGAGCCGAUAUUUAAUACCACAAGAAUGUGGUGCUCCGUGGUUGGUGAGCAUGCUCGGCCCGU_______________CCGAGAAGCCUUAAAAUUGCGACGACACAUUCACCUUGAACCAA_GGGUUCAAGGGCUACAGCCUGCAGCGGCA_UC_UCGGGG_AUUC
    ....(((((((((((.(((..((((((................................(((((((......(((((((...(.((...(((((....................)))))..)))....)))))))....))))))).(((((((((....)))))))))......)))))).)))))).)).))))))..... (-56.91 = -48.71 +  -8.20)

### File: ecoli6s.ssps

    %!PS-Adobe-3.0 EPSF-3.0
    %%Creator: ePS_dot.c,v 1.1 2005/10/13 13:00:44 ajb Exp $, ViennaRNA-1.6
    %%CreationDate: Sat Jul 15 12:00:00 2006
    %%Title: Rna secondary Structure Plot
    %%BoundingBox: 66 210 518 662
    %%DocumentFonts: Helvetica
    %%Pages: 1
    %%EndComments

    %Options: -d2
    % to switch off outline pairs of sequence comment or
    % delete the appropriate line near the end of the file

    %%BeginProlog
    /RNAplot 100 dict def
    RNAplot begin
    /fsize  14 def
    /outlinecolor {0.2 setgray} bind def
    /paircolor    {0.2 setgray} bind def
    /seqcolor     {0   setgray} bind def
    /cshow  { dup stringwidth pop -2 div fsize -3 div rmoveto show} bind def
    /min { 2 copy gt { exch } if pop } bind def
    /max { 2 copy lt { exch } if pop } bind def
    /drawoutline {
      outlinecolor
      newpath
      coor 0 get aload pop 0.8 0 360 arc
      coor {aload pop lineto} forall
      stroke
    } bind def
    /drawpairs {
      paircolor
      0.7 setlinewidth
      [9 3.01] 9 setdash
      newpath
      pairs {aload pop
         coor exch 1 sub get aload pop moveto
         coor exch 1 sub get aload pop lineto
      } forall
      stroke
    } bind def
    % draw bases
    /drawbases {
      [] 0 setdash
      seqcolor
      0
      coor {
        aload pop moveto
        dup sequence exch 1 getinterval cshow
        1 add

      [Part of this file has been deleted for brevity]

    60 cmark
    146 cmark
    61 cmark
    145 cmark
    62 144 1 gmark
    62 cmark
    144 cmark
    63 cmark
    143 cmark
    64 cmark
    142 cmark
    65 141 2 gmark
    141 cmark
    66 cmark
    140 cmark
    73 135 2 gmark
    73 cmark
    135 cmark
    74 cmark
    134 cmark
    75 133 1 gmark
    75 cmark
    133 cmark
    76 132 1 gmark
    76 cmark
    132 cmark
    77 cmark
    131 cmark
    78 130 1 gmark
    78 cmark
    130 cmark
    79 cmark
    129 cmark
    86 cmark
    122 cmark
    90 cmark
    119 cmark
    91 cmark
    118 cmark
    92 cmark
    117 cmark
    93 cmark
    116 cmark
    94 115 2 gmark
    156 cmark

    % End Annotations
    % show it
    showpage
    end
    %%EOF

## Data files

For details of Vienna RNA file formats, see the original documentation http://www.tbi.univie.ac.at/~ivo/RNA/

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
einverted | Finds DNA inverted repeats
vrnaalifoldpf | RNA alignment folding with partition
vrnacofold | RNA cofolding
vrnacofoldconc | RNA cofolding with concentrations
vrnacofoldpf | RNA cofolding with partitioning
vrnadistance | RNA distances
vrnaduplex | RNA duplex calculation
vrnaeval | RNA eval
vrnaevalpair | RNA eval with cofold
vrnafold | Calculate secondary structures of RNAs
vrnafoldpf | Secondary structures of RNAs with partition
vrnaheat | RNA melting
vrnainverse | RNA sequences matching a structure
vrnalfold | Calculate locally stable secondary structures of RNAs
vrnaplot | Plot vrnafold output
vrnasubopt | Calculate RNA suboptimals

## Author(s)

This program is an EMBOSS conversion of a program written by Ivo Hofacker as part of his VIENNA package.

Although we take every care to ensure that the results of the EMBOSS version are identical to those from the original package, we recommend that you check your inputs give the same results in both versions before publication.

Please report all bugs in the EMBOSS version to the EMBOSS bug team, not to the original author.

## History

Converted (October 2005) by Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments